package net.northking.cctp.dw.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.Size;
import java.util.Date;

/**
 * @author: puchao.ma
 * @date: 2022/1/4 11:02
 */
@JsonSerialize
@ApiModel(description = "系统详情界面信息")
public class CpProjectDetailQueryDto {

    /**
     * <br>
     */
    @ApiModelProperty("")
    private Long id;
    /**
     * 计划数量<br>
     */
    @ApiModelProperty("计划数量")
    private Integer planAmount;
    /**
     * 计划开始时间<br>
     */
    @ApiModelProperty("计划开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date startTime;
    /**
     * 计划结束时间<br>
     */
    @ApiModelProperty("计划结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date endTime;
    /**
     * <br>
     */
    @ApiModelProperty("")
    @Size(max = 50, message="-projectId: 数据长度不能 > 50" )
    private String projectId;
    /**
     * <br>
     */
    @ApiModelProperty("")
    @Size(max = 50, message="-tenantId: 数据长度不能 > 50" )
    private String tenantId;
    /**
     * 类型：1、用例设计；2、需求分析；3、用例执行<br>
     */
    @ApiModelProperty("类型：1、用例设计；2、需求分析；3、用例执行")
    private Integer detailType;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getPlanAmount() {
        return planAmount;
    }

    public void setPlanAmount(Integer planAmount) {
        this.planAmount = planAmount;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public Integer getDetailType() {
        return detailType;
    }

    public void setDetailType(Integer detailType) {
        this.detailType = detailType;
    }
}
